summaryrefslogtreecommitdiff
path: root/Master/tlpkg/libexec/mptopdf-extract
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2013-04-04 17:31:21 +0000
committerKarl Berry <karl@freefriends.org>2013-04-04 17:31:21 +0000
commitfd4545fe5a780ce3e1fbf1b78d668729de1bff7d (patch)
tree4e09fb0200704914885bc52dd69629fd280433eb /Master/tlpkg/libexec/mptopdf-extract
parent7ae4f3a4bad94230ffba68bceb27b269b8fa04c4 (diff)
exclude mptopdf files from context update; do not warn about negative patterns not matching when updating from CTAN
git-svn-id: svn://tug.org/texlive/trunk@29640 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/libexec/mptopdf-extract')
-rwxr-xr-xMaster/tlpkg/libexec/mptopdf-extract28
1 files changed, 28 insertions, 0 deletions
diff --git a/Master/tlpkg/libexec/mptopdf-extract b/Master/tlpkg/libexec/mptopdf-extract
new file mode 100755
index 00000000000..f959721a68f
--- /dev/null
+++ b/Master/tlpkg/libexec/mptopdf-extract
@@ -0,0 +1,28 @@
+#!/bin/sh
+# $Id$
+# Get the mptopdf files out of the context zip. We distribute mptopdf
+# as a separate package, since it can be used with LaTeX. See
+# description in mptopdf.tlpsrc for details.
+
+# Get files of our mptopdf package, ignoring top-level directory.
+# And ignoring the man page until it is present in ConTeXt.
+files=`tlpfiles mptopdf | sed 's,[^/]*/,,' | grep -v doc/man`
+if test -z "$files"; then
+ echo "$0: failed to get files for mptopdf." >&2
+ exit 1
+fi
+
+# We will extract them from the current context release.
+ctan=/home/ftp/mirror/rsync.tex.ac.uk/CTAN
+context_zip=$ctan/macros/context/current/cont-tmf.zip
+if test ! -s $context_zip; then
+ echo "$0: no context zip:" >&2
+ ls -l $context_zip >&2
+ exit 1
+fi
+
+# Working directory.
+workdir=/home/ftp/tex/mptopdf
+cd $workdir || exit 1
+rm -rf *
+unzip $context_zip $files